Activity log for bug #705944

Date Who What changed Old value New value Message
2011-01-21 16:07:35 Daniel Nögel bug added bug
2011-01-24 10:35:08 Michal Hruby synapse-project: status New Incomplete
2011-02-10 21:51:37 Michal Hruby synapse-project: status Incomplete Invalid
2011-02-11 12:10:41 Michal Hruby bug task added zeitgeist-extensions
2011-02-16 10:41:16 Michal Hruby summary Synapse don't show any folders anymore FTS index corruption
2011-05-15 07:15:32 Denis Prost bug added subscriber Denis Prost
2011-09-05 09:02:37 Mikkel Kamstrup Erlandsen summary FTS index corruption Can't recover from FTS index corruption
2011-09-05 09:02:57 Mikkel Kamstrup Erlandsen zeitgeist-extensions: importance Undecided Medium
2011-09-05 09:02:57 Mikkel Kamstrup Erlandsen zeitgeist-extensions: status New Triaged
2011-09-05 09:02:57 Mikkel Kamstrup Erlandsen zeitgeist-extensions: assignee Mikkel Kamstrup Erlandsen (kamstrup)
2011-09-05 09:03:57 Mikkel Kamstrup Erlandsen description Hallo, since a few days synapse does not show any folders anymore - of course I made sure that the directory plugin is enabled. I also disabled it, restarted synapse and enabled it again. It still did not work. The config.json file seems to be proper, too. Starting synapse from commandline, I get the following output each time I press any letter: ** (synapse:26138): WARNING **: zeitgeist-plugin.vala:574: Zeitgeist search failed: Remote Exception invoking org.gnome.zeitgeist.Index.Search() on /org/gnome/zeitgeist/index/activity at name org.gnome.zeitgeist.Engine: org.freedesktop.DBus.Python.xapian.DatabaseCorruptError: Traceback (most recent call last): File "/usr/lib/pymodules/python2.6/dbus/service.py", line 702, in _message_cb retval = candidate_method(self, *args, **keywords) File "/usr/share/zeitgeist/_zeitgeist/engine/extensions/fts.py", line 123, in Search offset, count, result_type) File "/usr/share/zeitgeist/_zeitgeist/engine/extensions/fts.py", line 253, in search self.QUERY_PARSER_FLAGS) DatabaseCorruptError: Data ran out unexpectedly when reading posting list. org.freedesktop.DBus.Python.xapian.DatabaseCorruptError Traceback%20%28most%20recent%20call%20last%29%3A%0A%20%20File%20%22%2Fusr%2Flib%2Fpymodules%2Fpython2.6%2Fdbus%2Fservice.py%22%2C%20line%20702%2C%20in%20_message_cb%0A%20%20%20%20retval%20%3D%20candidate_method%28self%2C%20%2Aargs%2C%20%2A%2Akeywords%29%0A%20%20File%20%22%2Fusr%2Fshare%2Fzeitgeist%2F_zeitgeist%2Fengine%2Fextensions%2Ffts.py%22%2C%20line%20123%2C%20in%20Search%0A%20%20%20%20offset%2C%20count%2C%20result_type%29%0A%20%20File%20%22%2Fusr%2Fshare%2Fzeitgeist%2F_zeitgeist%2Fengine%2Fextensions%2Ffts.py%22%2C%20line%20253%2C%20in%20search%0A%20%20%20%20self.QUERY_PARSER_FLAGS%29%0ADatabaseCorruptError%3A%20Data%20ran%20out%20unexpectedly%20when%20reading%20posting%20list.%0A ** (synapse:26138): DEBUG: zeitgeist-plugin.vala:580: ZG search took 19 ms SynapseHybridSearchPlugin found 0 extra uris (ZG returned 0) I've tested synapse 0.2.2.1, 0.2.2.2 from your download section and I also tested the recent version from branch. The folders I tried to find were ordinary folders within the home-partition (like "Documents", "Music", "Desktop", "Videos"). Sincerely, Daniel The Zeitgeist FTS extension should be able to automatically recover from corrupted indexes by rebuilding the index from the Zeitgeist log. -- Original report --------------------- Hallo, since a few days synapse does not show any folders anymore - of course I made sure that the directory plugin is enabled. I also disabled it, restarted synapse and enabled it again. It still did not work. The config.json file seems to be proper, too. Starting synapse from commandline, I get the following output each time I press any letter: ** (synapse:26138): WARNING **: zeitgeist-plugin.vala:574: Zeitgeist search failed: Remote Exception invoking org.gnome.zeitgeist.Index.Search() on /org/gnome/zeitgeist/index/activity at name org.gnome.zeitgeist.Engine: org.freedesktop.DBus.Python.xapian.DatabaseCorruptError: Traceback (most recent call last):   File "/usr/lib/pymodules/python2.6/dbus/service.py", line 702, in _message_cb     retval = candidate_method(self, *args, **keywords)   File "/usr/share/zeitgeist/_zeitgeist/engine/extensions/fts.py", line 123, in Search     offset, count, result_type)   File "/usr/share/zeitgeist/_zeitgeist/engine/extensions/fts.py", line 253, in search     self.QUERY_PARSER_FLAGS) DatabaseCorruptError: Data ran out unexpectedly when reading posting list.  org.freedesktop.DBus.Python.xapian.DatabaseCorruptError Traceback%20%28most%20recent%20call%20last%29%3A%0A%20%20File%20%22%2Fusr%2Flib%2Fpymodules%2Fpython2.6%2Fdbus%2Fservice.py%22%2C%20line%20702%2C%20in%20_message_cb%0A%20%20%20%20retval%20%3D%20candidate_method%28self%2C%20%2Aargs%2C%20%2A%2Akeywords%29%0A%20%20File%20%22%2Fusr%2Fshare%2Fzeitgeist%2F_zeitgeist%2Fengine%2Fextensions%2Ffts.py%22%2C%20line%20123%2C%20in%20Search%0A%20%20%20%20offset%2C%20count%2C%20result_type%29%0A%20%20File%20%22%2Fusr%2Fshare%2Fzeitgeist%2F_zeitgeist%2Fengine%2Fextensions%2Ffts.py%22%2C%20line%20253%2C%20in%20search%0A%20%20%20%20self.QUERY_PARSER_FLAGS%29%0ADatabaseCorruptError%3A%20Data%20ran%20out%20unexpectedly%20when%20reading%20posting%20list.%0A ** (synapse:26138): DEBUG: zeitgeist-plugin.vala:580: ZG search took 19 ms SynapseHybridSearchPlugin found 0 extra uris (ZG returned 0) I've tested synapse 0.2.2.1, 0.2.2.2 from your download section and I also tested the recent version from branch. The folders I tried to find were ordinary folders within the home-partition (like "Documents", "Music", "Desktop", "Videos"). Sincerely, Daniel
2011-09-05 10:06:24 Launchpad Janitor branch linked lp:zeitgeist-extensions
2011-09-05 10:06:33 Mikkel Kamstrup Erlandsen zeitgeist-extensions: status Triaged Fix Committed
2011-09-08 08:36:11 Mikkel Kamstrup Erlandsen zeitgeist-extensions: status Fix Committed Fix Released
2011-09-08 08:36:11 Mikkel Kamstrup Erlandsen zeitgeist-extensions: milestone fts-0.0.12
2011-09-08 09:17:35 Didier Roche bug task added zeitgeist-extensions (Ubuntu)
2011-09-08 09:30:30 Launchpad Janitor zeitgeist-extensions (Ubuntu): status New Fix Released
2011-09-08 10:14:22 Launchpad Janitor branch linked lp:ubuntu/zeitgeist-extensions